Summary: Run-time libraries and programs
Name:    motif
Version: 2.3.8
Release: 1%{?dist}
License: LGPLv2+
URL:     http://www.motifzone.net/
Source0: http://downloads.sf.net/motif/motif-%{version}.tar.gz
Source1: xmbind

Patch3000: motif-2.3.4-no_demos.patch
Patch3001: openMotif-2.2.3-uil_lib.patch
Patch3002: openMotif-2.3.0-rgbtxt.patch
Patch3003: motif-2.3.4-mwmrc_dir.patch
Patch3004: motif-2.3.4-bindings.patch
Patch3005: openMotif-2.3.0-no_X11R6.patch
Patch3006: motif-2.3.4-Fix-issues-with-Werror-format-security.patch

# new version don't have autogen.sh and need to use autoreconf
Patch5000: subdir-object.patch

BuildRequires: make automake libtool autoconf flex flex-static byacc pkgconfig
BuildRequires: libjpeg-devel libpng-devel xorg-x11-xbitmaps perl-interpreter
BuildRequires: libXft-devel libXmu-devel libXp-devel libXt-devel libXext-devel
Requires: xorg-x11-xbitmaps xorg-x11-xinit
Provides: openmotif = %{version}-%{release}

%description
This is the Motif %{version} run-time environment. It includes the Motif shared libraries, needed to
run applications which are dynamically linked against Motif and the Motif Window Manager mwm.

%package devel
Summary: Development libraries and header files
Requires: %{name} = %{version}-%{release}
Requires: libjpeg-devel libpng-devel libXft-devel libXmu-devel libXp-devel libXt-devel libXext-devel
Provides: openmotif-devel = %{version}-%{release}

%description devel
This is the Motif %{version} development environment. It includes the header files and also static
libraries necessary to build Motif applications.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fiv
%configure \
    --disable-static \
    --enable-xft \
    --enable-jpeg \
    --enable-png \
    %{nil}

make -C include
%make_build

%install
%make_install

install -Dm 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d/xmbind.sh
rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc README RELEASE RELNOTES
%{_sysconfdir}/X11/xinit/xinitrc.d/xmbind.sh
%dir %{_sysconfdir}/X11/mwm
%config(noreplace) %{_sysconfdir}/X11/mwm/system.mwmrc
%{_bindir}/mwm
%{_bindir}/xmbind
%{_includedir}/X11/bitmaps/*
%{_libdir}/libMrm.so.*
%{_libdir}/libUil.so.*
%{_libdir}/libXm.so.*
%{_datadir}/X11/bindings
%{_mandir}/man1/mwm*
%{_mandir}/man1/xmbind*
%{_mandir}/man4/mwmrc*

%files devel
%{_bindir}/uil
%{_libdir}/lib*.so
%{_includedir}/Mrm
%{_includedir}/Xm
%{_includedir}/uil
%{_mandir}/man1/uil.1*
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 2.3.8-1
- Upgrade to version 2.3.8

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.4-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli@tencent.com - 2.3.4-4
- Rebuilt for libXfti 2.3.8

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 2.3.4-1
- initial build
